@echo off
setlocal enabledelayedexpansion

:: Verifică dacă scriptul are privilegii de administrator
net session >nul 2>&1
if %errorlevel% neq 0 (
    echo Nu sunt privilegii de administrator. Reincercare ca administrator...
    powershell -Command "Start-Process cmd.exe -ArgumentList '/c %~f0' -Verb runAs"
    exit /b
)
timeout /t 5 >nul
:: Setează calea către NSSM
set "NSSM_PATH=%~dp0win64\nssm.exe"
set "TARGET_PATH=C:\Windows\System32\nssm.exe"

:: Verifică dacă nssm.exe există
if not exist "%NSSM_PATH%" (
    echo Eroare: Fișierul nssm.exe nu a fost găsit în %~dp0win64\
    pause
    exit /b 1
)

:: Copiază nssm.exe în System32
echo Copiere NSSM în C:\Windows\System32...
copy /Y "%NSSM_PATH%" "%TARGET_PATH%" >nul

:: Verifică dacă NSSM a fost instalat corect
"%TARGET_PATH%" version >nul 2>&1
if %errorlevel% neq 0 (
    echo Eroare: NSSM nu s-a instalat corect!
    exit /b 1
)
timeout /t 5 >nul
echo NSSM a fost instalat cu succes!

endlocal
exit /b 0
